/*colors*/
$softblue : rgb(123, 194, 187);
$deepblue : rgb(60, 110, 105);
$contrast : rgb(238, 106, 58);
$softcontrast : rgb(240, 165, 137);
$deepcontrast : rgb(255, 68, 0);

body {
    background-color: $softblue;
    color: $deepblue;
    margin: 0;
    font-family: 'Quicksand', sans-serif;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

// page layout

.content {
    display: flex;
    align-items: stretch;
    flex-grow: 1;
}

.sidebar {
    background-color: $deepblue;
    width: 200px;
    flex-shrink: 0;
    color: white;
    .sideLinks {
        position: sticky;
        top: 0;
        a {
            color: rgba(255, 255, 255, 0.7);
            font-weight: 700;
            text-decoration: none;
            .sideLink {
                padding: 14px;
                border-bottom: 1px solid rgba(255, 255, 255, 0.2);
                &:hover {
                    background-color: rgba(255, 255, 255, 0.1);
                    color: white;
                }
            }
        }
    }
    .hello {
        border-bottom: 1px solid rgba(255, 255, 255, 0.2);
        text-align: center;
        padding: 20px;
        p {
            margin: 0;
            font-weight: 700;
            color: rgba(255, 255, 255, 0.5);
            text-transform: uppercase;
            font-size: 14px;
        }
    }
}

.pageContent {
    flex-grow: 1;
    padding-bottom: 40px;
}

@media (max-width: 750px) {
    .content {
        display: block;
    }
    .sidebar {
        width: 100%;
    }
}


.mainContainer {
    max-width: 900px;
    padding: 30px;
    margin-right: auto;
    margin-left: auto;
}

.smallContainer {
    width: 100%;
    max-width: 600px;
    margin-left: auto;
    margin-right: auto;
}

a {
    color: $deepblue;
    &:hover {
        color: $contrast;
    }
}


button {
    background-color: $deepblue;
    color: white;
    font-weight: 600;
    padding: 6px 10px;
    margin: 10px 0;
    border: none;
    a {
        color: white;
        text-decoration: none;
        &:hover {
            color: white;
        }
    }
    &:hover {
        background-color: $contrast;
    }
    &.delete {
        cursor: pointer;
        background-color: $deepcontrast; 
        &:hover {
            background-color: $contrast;
        }
    }
}

h1 {
    text-align: center;
    font-size: 35px;
    color: $deepblue;
}

/* homepage */

.home {
    text-align: center;
    h1 {
        font-size: 48px;
        color: white;
    }
}

/* NAVIGATION */

nav {
    padding: 14px;
    box-shadow: 0 10px 10px -10px rgba(0,0,0,.2);
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    font-size: 18px;
    background: white;
    color: $deepblue;
    .logo {
        a {
            font-size: 26px;
            font-weight: 700;
            color: $deepblue;
            text-decoration: none;
        }
    }
}

.navLink {
    font-weight: 700;
    font-size: 12px;
    text-transform: uppercase;
}


/* LOG IN & REGISTER*/

.smallForm {
    width: 100%;
    max-width: 300px;
    margin-left: auto;
    margin-right: auto;
    h2 {
        text-align: center;
    }
    form {
        .alreadyLogged {
            margin: 10px 0;
            color: $deepblue;
        }
    }
    .linkSignIn, .linkRegister {
        width: 100%;
        max-width: 300px;
        margin-left: auto;
        margin-right: auto;
        margin-top: 20px;
        border-top: 1px solid white;
    }
}

/* CREATE POLL FORM */

form {
    ul {
        list-style-type: none;
        padding-left: 0;   
    }
}
    
input[type=email], input[type=password], input[type=text] {
    border: 2px solid transparent;
    border-radius: 0;
    width: 100%;
    padding: 6px;
    box-sizing: border-box; /* Make sure that padding and width stays in place */
    margin-top: 6px;
    margin-bottom: 16px;
    resize: vertical;
    &:focus {
        border: 2px solid $deepblue;
    }
}

#poll_status {
    margin: 15px 0 20px 0;
    label {
        margin-right: 15px;
    }
    input {
        margin-right: 4px;
    }
}

/* Poll index */

.pollIndex {
    .indexBlock {
        display: flex;
        flex-wrap: wrap; 
        justify-content: space-between;
        align-items: center;
        padding: 4px;
        border-bottom: 2px solid rgba(255, 255, 255, 0.3);
        &:nth-child(odd) {
            background-color: rgba(255, 255, 255, 0.2);
        }
        &:nth-child(even) {
            background-color: rgba(255, 255, 255, 0.1);
        }
        h3 {
            margin: 8px 4px;
        }
        .btnBlock {
            display: flex;
            align-items: center;
            button {
                margin: 0 2px;
            }
        }
    }
}


/* Poll results & vote */
.pollTitle {
    h2 {
        margin-bottom:4px;
    }
    p {
        margin-top: 4px;
        font-size: 14px;
    }
}
.pollResults {
    margin: 30px 0;
    p {
        font-weight: 700;
        margin-bottom: 4px;
        &.totalVotes {
            font-weight: 400;
        }
    }
}

.pollVote {
    margin: 30px 0;
    div {
        margin: 20px 0;
        input {
            margin-right: 10px;
        }
        label {
            font-weight: 700;
        }
    }
}
.progressBar {
    position: relative;
    height: 20px;
    border: 1px solid rgba(255, 255, 255, 0.4);
    background-color: rgba(255, 255, 255, 0.2);
    .percentage {
        width: 0%;
        height: 100%;
        background-color: $softcontrast;
    }
    .score {
        position: absolute;
        right: 0;
        top: 0;
        font-size: 14px;
        padding: 2px;
    }
}

/* STYLE FLASH NOTICE */

.flash-notice, .alert, .form-error {
    margin-top: 10px;
    margin-bottom: 10px;
    color: $contrast;
    font-weight: 700;
    font-size: 13px;
}